function [ output_args ] = prepareTrainingData( wdb, currentMeanA, windw,minAngleToSnout)
%PREPARETRAININGDATA Summary of this function goes here
%   Detailed explanation goes here
output_args = [(wdb.x2_a-currentMeanA)' wdb.x1_p' cot(wdb.x2_p') wdb.x1_a' cot(wdb.x2_a') wdb.L' wdb.x3'];% ...
   %            (wdb.x1_p-cellfun(@(x) x(1),wdb.prevW))' ...
   %            (wdb.x2_p-cellfun(@(x) x(2),wdb.prevW))' ...
   %            (cellfun(@(x) x(3),wdb.prevW))' ...
   %            (wdb.L./cellfun(@(x) x(4),wdb.prevW))' ...
   %            (cellfun(@(x) x(1),wdb.nextW) - wdb.x1_p)' ...
   %            (cellfun(@(x) x(2),wdb.nextW) - wdb.x2_p)' ...
   %            (cellfun(@(x) x(3),wdb.nextW))' ...
   %            (wdb.L./cellfun(@(x) x(4),wdb.nextW))'];     ...
%output_args = output_args(abs(output_args(:,1))<cot(minAngleToSnout),:);
output_args = output_args(~wdb.cnf,:);
output_args = output_args(abs(output_args(:,3))<cot(minAngleToSnout),:);
output_args = output_args(abs(output_args(:,5))<cot(minAngleToSnout),:);
output_args = sortrows(output_args,'ascend');
output_args = output_args(1:min(windw,size(output_args,1)),2:end);

end

%output_args = [abs(wdb.x2_a-currentMeanA)' wdb.x1_p'-wdb.x1_a' cot(wdb.x2_p)'-wdb.x2_a' wdb.x1_a' wdb.x2_a' wdb.L' wdb.x3'];% ...
